Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693013 - Review Request: perl-Test-RunValgrind - Tests that an external program is valgrind-clean
Summary: Review Request: perl-Test-RunValgrind - Tests that an external program is val...
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 23:51 UTC by Shlomi Fish
Modified: 2019-04-07 08:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Shlomi Fish 2019-03-26 23:51:18 UTC
Spec URL: https://www.shlomifish.org/Files/files/code/perl-Test-RunValgrind.spec
SRPM URL: https://www.shlomifish.org/Files/files/arcs/perl-Test-RunValgrind-0.2.0-1.fc30.src.rpm
Description: This is a dependency of https://src.fedoraproject.org/rpms/freecell-solver 's test suite 
Fedora Account System Username: shlomif

Comment 1 Robert-André Mauchin 2019-03-29 16:29:39 UTC
 - Don't mix %{buildroot} and  $RPM_BUILD_ROOT

 - Don't package json and yaml files

 - %{__perl} → perl



URL and Source addresses are Ok.
Source archive (SHA-256: 70947565ad0be3e5d0cd9aca9e1fd0cb07c873e574310e92e8eca629ec6cd631f4e62631) is original. Ok.
Summary verified from lib/Test/RunValgrind.pm. Ok.
Description verified from llib/Test/RunValgrind.pm. Ok.
License verified from lib/Test/RunValgrind.pm and README.md. Ok.
No XS code, BuildArch is noarch.

$ rpmlint perl-Test-RunValgrind.spec review-perl-Test-RunValgrind/results/perl-Test-RunValgrind-0.2.0-1.fc31.noarch.rpm review-perl-Test-RunValgrind/results/perl-Test-RunValgrind-0.2.0-1.fc31.src.rpm 
perl-Test-RunValgrind.noarch: W: spelling-error Summary(en_US) valgrind -> val grind, val-grind, Valerian
perl-Test-RunValgrind.noarch: W: spelling-error %description -l en_US valgrind -> val grind, val-grind, Valerian
perl-Test-RunValgrind.noarch: W: spelling-error %description -l en_US manpage -> manage, man page, man-page
perl-Test-RunValgrind.src: W: spelling-error Summary(en_US) valgrind -> val grind, val-grind, Valerian
perl-Test-RunValgrind.src: W: spelling-error %description -l en_US valgrind -> val grind, val-grind, Valerian
perl-Test-RunValgrind.src: W: spelling-error %description -l en_US manpage -> manage, man page, man-page
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

$ rpm -q -lv -p perl-Test-RunValgrind-0.2.0-1.fc31.noarch.rpm            17:18:32
drwxr-xr-x    2 root    root                        0 Mar 29 17:10 /usr/share/doc/perl-Test-RunValgrind
-rw-r--r--    1 root    root                      631 Jan 26  2018 /usr/share/doc/perl-Test-RunValgrind/Changes
-rw-r--r--    1 root    root                    16603 Jan 26  2018 /usr/share/doc/perl-Test-RunValgrind/META.json
-rw-r--r--    1 root    root                    10385 Jan 26  2018 /usr/share/doc/perl-Test-RunValgrind/META.yml
-rw-r--r--    1 root    root                    10385 Mar 29 17:10 /usr/share/doc/perl-Test-RunValgrind/MYMETA.yml
-rw-r--r--    1 root    root                      318 Jan 26  2018 /usr/share/doc/perl-Test-RunValgrind/README
drwxr-xr-x    2 root    root                        0 Mar 29 17:10 /usr/share/licenses/perl-Test-RunValgrind
-rw-r--r--    1 root    root                     1158 Jan 26  2018 /usr/share/licenses/perl-Test-RunValgrind/LICENSE
-r--r--r--    1 root    root                     4156 Mar 29 17:10 /usr/share/man/man3/Test::RunValgrind.3pm.gz
drwxr-xr-x    2 root    root                        0 Mar 29 17:10 /usr/share/perl5/vendor_perl/Test
-r--r--r--    1 root    root                     8103 Mar 29 17:10 /usr/share/perl5/vendor_perl/Test/RunValgrind.pm
File permissions and layout are Ok.

$ rpm -q --requires -p perl-Test-RunValgrind-0.2.0-1.fc31.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.1)
      1 perl(:VERSION) >= 5.14.0
      1 perl(Carp)
      1 perl(Path::Tiny)
      1 perl(strict)
      1 perl(Test::More)
      1 perl(Test::Trap)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

rpm -q --provides -p perl-Test-RunValgrind-0.2.0-1.fc31.noarch.rpm 
perl(Test::RunValgrind) = 0.2.0
perl-Test-RunValgrind = 0.2.0-1.fc31
Binary provides are Ok.

Package builds in Koji (https://koji.fedoraproject.org/koji/taskinfo?taskID=33816549).
Ok


Resolution: Package approved.

Comment 2 Igor Gnatenko 2019-04-07 08:41:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Test-RunValgrind


Note You need to log in before you can comment on or make changes to this bug.